// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 46;
	objects = {

/* Begin PBXBuildFile section */
		921D93811AA3010E004E87B5 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 921D93801AA3010E004E87B5 /* AppDelegate.swift */; };
		921D93831AA3010E004E87B5 /* ViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 921D93821AA3010E004E87B5 /* ViewController.swift */; };
		921D93861AA3010E004E87B5 /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 921D93841AA3010E004E87B5 /* Main.storyboard */; };
		921D93881AA3010E004E87B5 /* Images.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 921D93871AA3010E004E87B5 /* Images.xcassets */; };
		921D938B1AA3010E004E87B5 /* LaunchScreen.xib in Resources */ = {isa = PBXBuildFile; fileRef = 921D93891AA3010E004E87B5 /* LaunchScreen.xib */; };
		921D93971AA3010E004E87B5 /* Project_TapTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 921D93961AA3010E004E87B5 /* Project_TapTests.swift */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		921D93911AA3010E004E87B5 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 921D93731AA3010E004E87B5 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 921D937A1AA3010E004E87B5;
			remoteInfo = "Project Tap";
		};
/* End PBXContainerItemProxy section */

/* Begin PBXFileReference section */
		921D937B1AA3010E004E87B5 /* Project Tap.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = "Project Tap.app"; sourceTree = BUILT_PRODUCTS_DIR; };
		921D937F1AA3010E004E87B5 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		921D93801AA3010E004E87B5 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		921D93821AA3010E004E87B5 /* ViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ViewController.swift; sourceTree = "<group>"; };
		921D93851AA3010E004E87B5 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		921D93871AA3010E004E87B5 /* Images.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Images.xcassets; sourceTree = "<group>"; };
		921D938A1AA3010E004E87B5 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.xib; name = Base; path = Base.lproj/LaunchScreen.xib; sourceTree = "<group>"; };
		921D93901AA3010E004E87B5 /* Project TapTests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = "Project TapTests.xctest"; sourceTree = BUILT_PRODUCTS_DIR; };
		921D93951AA3010E004E87B5 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		921D93961AA3010E004E87B5 /* Project_TapTests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Project_TapTests.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		921D93781AA3010E004E87B5 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		921D938D1AA3010E004E87B5 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		921D93721AA3010E004E87B5 = {
			isa = PBXGroup;
			children = (
				921D937D1AA3010E004E87B5 /* Project Tap */,
				921D93931AA3010E004E87B5 /* Project TapTests */,
				921D937C1AA3010E004E87B5 /* Products */,
			);
			sourceTree = "<group>";
		};
		921D937C1AA3010E004E87B5 /* Products */ = {
			isa = PBXGroup;
			children = (
				921D937B1AA3010E004E87B5 /* Project Tap.app */,
				921D93901AA3010E004E87B5 /* Project TapTests.xctest */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		921D937D1AA3010E004E87B5 /* Project Tap */ = {
			isa = PBXGroup;
			children = (
				921D93801AA3010E004E87B5 /* AppDelegate.swift */,
				921D93821AA3010E004E87B5 /* ViewController.swift */,
				921D93841AA3010E004E87B5 /* Main.storyboard */,
				921D93871AA3010E004E87B5 /* Images.xcassets */,
				921D93891AA3010E004E87B5 /* LaunchScreen.xib */,
				921D937E1AA3010E004E87B5 /* Supporting Files */,
			);
			path = "Project Tap";
			sourceTree = "<group>";
		};
		921D937E1AA3010E004E87B5 /* Supporting Files */ = {
			isa = PBXGroup;
			children = (
				921D937F1AA3010E004E87B5 /* Info.plist */,
			);
			name = "Supporting Files";
			sourceTree = "<group>";
		};
		921D93931AA3010E004E87B5 /* Project TapTests */ = {
			isa = PBXGroup;
			children = (
				921D93961AA3010E004E87B5 /* Project_TapTests.swift */,
				921D93941AA3010E004E87B5 /* Supporting Files */,
			);
			path = "Project TapTests";
			sourceTree = "<group>";
		};
		921D93941AA3010E004E87B5 /* Supporting Files */ = {
			isa = PBXGroup;
			children = (
				921D93951AA3010E004E87B5 /* Info.plist */,
			);
			name = "Supporting Files";
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		921D937A1AA3010E004E87B5 /* Project Tap */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 921D939A1AA3010E004E87B5 /* Build configuration list for PBXNativeTarget "Project Tap" */;
			buildPhases = (
				921D93771AA3010E004E87B5 /* Sources */,
				921D93781AA3010E004E87B5 /* Frameworks */,
				921D93791AA3010E004E87B5 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = "Project Tap";
			productName = "Project Tap";
			productReference = 921D937B1AA3010E004E87B5 /* Project Tap.app */;
			productType = "com.apple.product-type.application";
		};
		921D938F1AA3010E004E87B5 /* Project TapTests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 921D939D1AA3010E004E87B5 /* Build configuration list for PBXNativeTarget "Project TapTests" */;
			buildPhases = (
				921D938C1AA3010E004E87B5 /* Sources */,
				921D938D1AA3010E004E87B5 /* Frameworks */,
				921D938E1AA3010E004E87B5 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				921D93921AA3010E004E87B5 /* PBXTargetDependency */,
			);
			name = "Project TapTests";
			productName = "Project TapTests";
			productReference = 921D93901AA3010E004E87B5 /* Project TapTests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		921D93731AA3010E004E87B5 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastUpgradeCheck = 0610;
				ORGANIZATIONNAME = Leif;
				TargetAttributes = {
					921D937A1AA3010E004E87B5 = {
						CreatedOnToolsVersion = 6.1.1;
					};
					921D938F1AA3010E004E87B5 = {
						CreatedOnToolsVersion = 6.1.1;
						TestTargetID = 921D937A1AA3010E004E87B5;
					};
				};
			};
			buildConfigurationList = 921D93761AA3010E004E87B5 /* Build configuration list for PBXProject "Project Tap" */;
			compatibilityVersion = "Xcode 3.2";
			developmentRegion = English;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 921D93721AA3010E004E87B5;
			productRefGroup = 921D937C1AA3010E004E87B5 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				921D937A1AA3010E004E87B5 /* Project Tap */,
				921D938F1AA3010E004E87B5 /* Project TapTests */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		921D93791AA3010E004E87B5 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				921D93861AA3010E004E87B5 /* Main.storyboard in Resources */,
				921D938B1AA3010E004E87B5 /* LaunchScreen.xib in Resources */,
				921D93881AA3010E004E87B5 /* Images.xcassets in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		921D938E1AA3010E004E87B5 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		921D93771AA3010E004E87B5 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				921D93831AA3010E004E87B5 /* ViewController.swift in Sources */,
				921D93811AA3010E004E87B5 /* AppDelegate.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		921D938C1AA3010E004E87B5 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				921D93971AA3010E004E87B5 /* Project_TapTests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		921D93921AA3010E004E87B5 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 921D937A1AA3010E004E87B5 /* Project Tap */;
			targetProxy = 921D93911AA3010E004E87B5 /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin PBXVariantGroup section */
		921D93841AA3010E004E87B5 /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				921D93851AA3010E004E87B5 /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		921D93891AA3010E004E87B5 /* LaunchScreen.xib */ = {
			isa = PBXVariantGroup;
			children = (
				921D938A1AA3010E004E87B5 /* Base */,
			);
			name = LaunchScreen.xib;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		921D93981AA3010E004E87B5 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++0x";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				"CODE_SIGN_IDENTITY[sdk=iphoneos*]" = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu99;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_SYMBOLS_PRIVATE_EXTERN = NO;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 8.1;
				MTL_ENABLE_DEBUG_INFO = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		921D93991AA3010E004E87B5 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++0x";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				"CODE_SIGN_IDENTITY[sdk=iphoneos*]" = "iPhone Developer";
				COPY_PHASE_STRIP = YES;
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu99;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 8.1;
				MTL_ENABLE_DEBUG_INFO = NO;
				SDKROOT = iphoneos;
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		921D939B1AA3010E004E87B5 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				INFOPLIST_FILE = "Project Tap/Info.plist";
				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks";
				PRODUCT_NAME = "$(TARGET_NAME)";
			};
			name = Debug;
		};
		921D939C1AA3010E004E87B5 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				INFOPLIST_FILE = "Project Tap/Info.plist";
				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks";
				PRODUCT_NAME = "$(TARGET_NAME)";
			};
			name = Release;
		};
		921D939E1AA3010E004E87B5 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				BUNDLE_LOADER = "$(TEST_HOST)";
				FRAMEWORK_SEARCH_PATHS = (
					"$(SDKROOT)/Developer/Library/Frameworks",
					"$(inherited)",
				);
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				INFOPLIST_FILE = "Project TapTests/Info.plist";
				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks @loader_path/Frameworks";
				PRODUCT_NAME = "$(TARGET_NAME)";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/Project Tap.app/Project Tap";
			};
			name = Debug;
		};
		921D939F1AA3010E004E87B5 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				BUNDLE_LOADER = "$(TEST_HOST)";
				FRAMEWORK_SEARCH_PATHS = (
					"$(SDKROOT)/Developer/Library/Frameworks",
					"$(inherited)",
				);
				INFOPLIST_FILE = "Project TapTests/Info.plist";
				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks @loader_path/Frameworks";
				PRODUCT_NAME = "$(TARGET_NAME)";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/Project Tap.app/Project Tap";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		921D93761AA3010E004E87B5 /* Build configuration list for PBXProject "Project Tap" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				921D93981AA3010E004E87B5 /* Debug */,
				921D93991AA3010E004E87B5 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		921D939A1AA3010E004E87B5 /* Build configuration list for PBXNativeTarget "Project Tap" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				921D939B1AA3010E004E87B5 /* Debug */,
				921D939C1AA3010E004E87B5 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
		};
		921D939D1AA3010E004E87B5 /* Build configuration list for PBXNativeTarget "Project TapTests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				921D939E1AA3010E004E87B5 /* Debug */,
				921D939F1AA3010E004E87B5 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
		};
/* End XCConfigurationList section */
	};
	rootObject = 921D93731AA3010E004E87B5 /* Project object */;
}
